#include "Player/Enemy.h"

#include <Ship/Ship.h>

#include <algorithm>
#include <functional>
#include <iostream>

Enemy::Enemy(const std::string& name, std::unique_ptr<Ship>&& ship)
    : _name(name), _ship(std::move(ship)) {}

void Enemy::attack(Ship& playerShip) {
    std::cout << "Player: " << _name << " attack ship: " << playerShip.name() << '\n';
    playerShip.dealDamage(100);
}
